<?php

$image = $_GET['image'] ?? "cfl-02-infodesk.png";
$title = $_GET['title'] ?? "Title unavailable.";

$alts = [
'cfl-01-government.png' => 'Map of the government documents. Floor 1.',
'cfl-01-maps.png' => 'Map of the maps collection. Floor 1.',
'cfl-01-newspapers.png' => 'Map to the newspaper display. Floor 1.',
'cfl-01-oversized.png' => 'Map of the oversized books section. Floor 1.',
'cfl-01-periodicalsoff.png' => 'Map to the periodicals office. Floor 1.',
'cfl-01-periodicals.png' => 'Map to the periodicals section. Floor 1.',
'cfl-01-state.png' => 'Map to the North Dakota state documents. Floor 1.',
'cfl-01-uit.png' => 'Map to the UIT offices. Floor 1.',
'cfl-02-access.png' => 'Map to the Access Services desk. Floor 2.',
'cfl-02-infodesk.png' => 'Map to the general information desk. Floor 2.',
'cfl-02-popular.png' => 'Map to the the popular reading collection. Floor 2.',
'cfl-02-reference.png' => 'Map to the reference consult room. Floor 2.',
'cfl-03-wboard.png' => 'Map to the board game collection. Floor 3.',
'cfl-03-wdvd.png' => 'Map to the DVD collection. Floor 3.',
'cfl-04-children.png' => "Map to the Children's collection. Floor 4.",
'cfl-04-family.png' => 'Map to the family history research room. Floor 4.',
'cfl-04-specialfam.png' => 'Map to the special collections and family history department. Floor 4.',
'cfl-04-special.png' => 'Map to the special collections department. Floor 4.',
'cfl-default.png' => 'Map to this item unavailable. Please see a staff member for assistance locating this item.',
];

$alt = "";

if(isset($alts[$image])){
	$alt = $alts[$image];
}



if($alt === ""){

	$floor = substr($image, 0, 6);

	switch($floor){
		case "cfl-03": $alt = "Map of Chester Fritz Library, floor 3."; break;
		case "cfl-04": $alt = "Map of Chester Fritz Library, floor 4."; break;
		default: $alt = "Map to this item unavailable. Please see a staff member for assistance locating this item."; break;
	}
}

?><!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title><?= $title ?></title>
</head>
<body>

<img src="images/<?= $image ?>" alt="<?= $alt ?>">


<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-30QQ5ZGNK4"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-30QQ5ZGNK4');
</script>

</body>
</html>
